<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;

use App\Classes\Interfaces\DataTransferObject;
use App\Models\CompanyModule;
use App\Models\User;

class EmployeeObject implements DataTransferObject
{
    /** @var CompanyModule */
    private $companyModule;

    /** @var User */
    private $user;

    /** @var int */
    private $role;

    /**
     * EmployeeObject constructor.
     * @param CompanyModule $companyModule
     * @param User $user
     * @param int $role
     */
    public function __construct(CompanyModule $companyModule, User $user, int $role)
    {
        $this->companyModule = $companyModule;
        $this->user = $user;
        $this->role = $role;
    }

    /**
     * @return CompanyModule
     */
    public function getCompanyModule(): CompanyModule
    {
        return $this->companyModule;
    }

    /**
     * @return User
     */
    public function getUser(): User
    {
        return $this->user;
    }

    /**
     * @return int
     */
    public function getRole(): int
    {
        return $this->role;
    }


}